Subject: Implement locale-aware validators
Description

Some locale-aware validators for FLOW3 Validation subsystem should be implemented.

Associated revisions
Revision 58f4c7e1 - 2010-08-12 12:33 - Karol Gusak

[+FEATURE] FLOW3 (I18n): Locale-aware validators added. Relates to #9246.

Change-Id: I5e5bd5d22a15079e30550d8a29e32fd3b13550cc

History
#1 - 2010-08-11 14:35 - Karol Gusak
- Category changed from I18n to Validation
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Changed NumberValidator and DateTimeValidator so they use I18n subpackage and it's functionality. This is how I see them, however I'm not sure
about the DateTimeValidator, as it was validating DateTime objects before, and now it's validating date and / or time strings. I'd rather name it the 
DatetimeValidator (with lower T, as in DatetimeParser and DatetimeFormatter in I18n), but the DateTimeValidator should be removed (is it really
needed?) in order to avoid confusing naming.

#2 - 2010-08-18 10:48 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
